| Home | Libraries | People | FAQ | More

## Function template ireplace_nth

boost::algorithm::ireplace_nth — Replace nth algorithm ( case insensitive )

## Synopsis

    // In header: <boost/algorithm/string/replace.hpp>

    template<typename SequenceT, typename Range1T, typename Range2T>
      void ireplace_nth(SequenceT & Input, const Range1T & Search, int Nth,
                        const Range2T & Format,
                        const std::locale & Loc = std::locale());

## Description

Replace an Nth (zero-indexed) match of the search string in the input with the format string. Input sequence is modified in-place. Searching is case insensitive.

Parameters:

`Format` | A substitute string
`Input` | An input string
`Loc` | A locale used for case insensitive comparison
`Nth` | An index of the match to be replaced. The index is 0-based. For negative N, matches are counted from the end of string.
`Search` | A substring to be searched for